package com.njcn.energy.service;

import com.njcn.energy.pojo.param.EleParam;
import com.njcn.energy.pojo.vo.EleLoadSetTreeVO;
import com.njcn.energy.pojo.vo.EleLoadSetVO;

import java.util.List;

/**
 *
 * @author denghuajun
 * @version 1.0.0
 * @date 2022年04月15日 14:24
 */
public interface EleLoadSetService {

    /**
     * 详情
     * @return 结果
     */
    List<EleLoadSetVO> getEleLoadSetDetail();

    /**
     * 绑定监测点树
     * @return 结果
     */
    EleLoadSetTreeVO getEleLoadTree(EleLoadSetVO eleLoadSetVO);

    Boolean add(EleParam eleParam);
}
